%plot of stress amplitdes for different soil damping levels, case 1)
clc
clear all
close all

%% Input

L = 180;        %m
n = 180;        %-
l = L/n;        %m

%% linear case

%stress amplitudes
M1 = load('stress_amp_zero_damping_lin.txt');
M2 = load('stress_amp_nonzero_damping_lin5.txt');
M3 = load('stress_amp_nonzero_damping_lin10.txt');
M4 = load('stress_amp_nonzero_damping_lin15.txt');
M5 = load('stress_amp_nonzero_damping_lin20.txt');
M6 = load('stress_amp_nonzero_damping_lin25.txt');

figure; 
plot([l:l:L-l],M1*10^-6,[l:l:L-l],M2*10^-6,[l:l:L-l],M3*10^-6,[l:l:L-l],M4*10^-6,[l:l:L-l],M5*10^-6,[l:l:L-l],M6*10^-6);
grid on;
legend('\lambda=0','\lambda=0.05','\lambda=0.10','\lambda=0.15','\lambda=0.20','\lambda=0.25');
xlabel('z [m]');
ylabel('\sigma [MPa]');
title('Stress amplitudes with varying soil damping');

%max response
M11 = abs(load('response_amp_zero_damping_lin.txt'));
M21 = abs(load('response_amp_nonzero_damping_lin5.txt'));
M31 = abs(load('response_amp_nonzero_damping_lin10.txt'));
M41 = abs(load('response_amp_nonzero_damping_lin15.txt'));
M51 = abs(load('response_amp_nonzero_damping_lin20.txt'));
M61 = abs(load('response_amp_nonzero_damping_lin25.txt'));

figure; 
plot([l:l:L-l],M11,[l:l:L-l],M21,[l:l:L-l],M31,[l:l:L-l],M41,[l:l:L-l],M51,[l:l:L-l],M61);
grid on;
legend('\lambda=0','\lambda=0.05','\lambda=0.10','\lambda=0.15','\lambda=0.20','\lambda=0.25');
xlabel('z [m]');
ylabel('y [m]');
title('Response amplitudes with varying soil damping');

%% nonlinear case

%stress amplitudes
M7 = load('stress_amp_nonzero_damping_nonlin10.txt');
M8 = load('stress_amp_nonzero_damping_nonlin15.txt');
M9 = load('stress_amp_nonzero_damping_nonlin20.txt');
M10 = load('stress_amp_nonzero_damping_nonlin25.txt');

figure; 
plot([l:l:L-l],M7*10^-6,[l:l:L-l],M8*10^-6,[l:l:L-l],M9*10^-6,[l:l:L-l],M10*10^-6);
grid on;
legend('\lambda=0.10','\lambda=0.15','\lambda=0.20','\lambda=0.25');
xlabel('z [m]');
ylabel('\sigma [MPa]');
title('Stress amplitudes with varying soil damping');

%max response
M71 = abs(load('response_amp_nonzero_damping_nonlin10.txt'));
M81 = abs(load('response_amp_nonzero_damping_nonlin15.txt'));
M91 = abs(load('response_amp_nonzero_damping_nonlin20.txt'));
M101 = abs(load('response_amp_nonzero_damping_nonlin25.txt'));

figure; 
plot([l:l:L-l],M71,[l:l:L-l],M81,[l:l:L-l],M91,[l:l:L-l],M101);
grid on;
legend('\lambda=0.10','\lambda=0.15','\lambda=0.20','\lambda=0.25');
xlabel('z [m]');
ylabel('y [m]');
title('Response amplitudes with varying soil damping');
