%plot of stress amplitdes for different soil damping levels, case 1)
clc
clear all
close all

%% Input

L = 380;        %m
n = 380;        %-
l = L/n;        %m

%% linear case

%stress std
M1 = load('linear\stress_std_lin0.txt');

%% nonlinear case

%stress std
M2 = load('nonlinear\stress_std_nonlin10.txt');

% 
%% Comparisons 

M_VIVANA1 = load('VIVANA\column_A_andB_7_to_586.txt');
M_VIVANA2 = load('VIVANA\nonlinear_time_domain.txt');

%comparison VIVANA linear and nonlinear 
figure;
plot(M_VIVANA1(:,1),M_VIVANA1(:,2),M_VIVANA2(:,1),M_VIVANA2(:,2)*10^-3);
grid on;
legend('VIVANA linear frequency domain model','VIVANA/RIFLEX nonlinear time domain model');
xlabel('z [m]');
ylabel('\sigma [MPa]');
title('Stress standard deviation');

%comparison Ulveseter's models
figure;
plot([l:l:L-l],M1*10^-6,[l:l:L-l],M2*10^-6);
grid on;
legend('Ulveseter linear model','Ulveseter nonlinear model for \lambda = 0.1');
xlabel('z [m]');
ylabel('\sigma [MPa]');
title('Stress standard deviation');

%comparison of everything
figure;
plot(M_VIVANA1(:,1),M_VIVANA1(:,2),'LineWidth',3,'Color',[0 1 0]);
grid on;
xlabel('z [m]');
ylabel('\sigma [MPa]');
title('Stress standard deviation');

hold on;
plot(M_VIVANA2(:,1),M_VIVANA2(:,2)*10^-3,'LineWidth',3,'Color',[0 0.5 0]);
hold on;
plot([l:l:L-l],M1*10^-6,'--','LineWidth',2,'Color',[1 0 0]);
hold on; 
plot([l:l:L-l],M2*10^-6,'--','LineWidth',2,'Color',[0.5 0 0]);

legend('VIVANA linear model','VIVANA nonlinear model','Ulveseter linear model','Ulveseter nonlinear model \lambda = 0.1');

% %stress amplitudes
% figure;
% plot(M_VIVANA1(:,1),M_VIVANA1(:,2),M_VIVANA2(:,1),M_VIVANA2(:,2)*10^-3,[l:l:L-l],M1*10^-6,[l:l:L-l],M7*10^-6);
% grid on;
% legend('VIVANA linear model','VIVANA nonlinear model','Ulveseter linear model','Ulveseter nonlinear model \lambda = 0.1');
% xlabel('z [m]');
% ylabel('\sigma [MPa]');
% title('Stress standard deviation');
% 
% figure;
% plot(Case1_stat(:,1)-150,Case1_stat(:,2),'LineWidth',2,'Color',[0 0 1])%Case1_sea(:,1)-150,Case1_sea(:,2),'LineWidth',4,Case2_stat(:,1)-150,Case2_stat(:,2),'--',Case2_sea(:,1)-150,Case2_sea(:,2),'--',Case3_stat(:,1)-150,Case3_stat(:,2),'-',Case3_sea(:,1)-150,Case3_sea(:,2),'-');
% ylim([-1010 -990]);
% xlim([0 380]);
% grid on;
% xlabel('z [m]');
% ylabel('y [m]');
% title('Seabed and static configuration');
% 
% hold on; 
% plot(Case1_sea(:,1)-150,Case1_sea(:,2),'LineWidth',2,'Color',[0 0 0.5])
% hold on; 
% plot(Case2_stat(:,1)-150,Case2_stat(:,2),'LineWidth',1,'Color',[0 1 0])
% hold on; 
% plot(Case2_sea(:,1)-150,Case2_sea(:,2),'LineWidth',1,'Color',[0 0.5 0])
% hold on;
% plot(Case3_stat(:,1)-150,Case3_stat(:,2),'--','LineWidth',1,'Color',[1 0 0])
% hold on; 
% plot(Case3_sea(:,1)-150,Case3_sea(:,2),'--','LineWidth',1,'Color',[0.5 0 0])
% 
% 
% legend('Case1 - static','Case1 - seabed','Case2 - static ','Case2 - seabed','Case3 - static','Case3 - seabed');