%all post-processing functions 
function [stress_amp, stress_rms,stress_std,fp] = POSTproc(ytrans,l,L,D,E,N,...
n,h,Tsim,c_s,k_s,type,sea_bottom,seabed_VIVANA,static_config,Case)

%% Finding stress amplitude  
[stress_amp, stress_rms,stress_std] = STRESSamp(ytrans,l,D,E,N);

%% Fiding response frequnecy 
[fp ang] = fpeak(ytrans(ceil(n/2),:),[0:h:Tsim]); 

%% save stress results for different damping coefficients and linear/non-linear
%analysis in text-files
write = write_to_file(stress_amp,c_s,type,ytrans,N,Case,stress_rms,stress_std);

%% post-processing, plotting results
post = plots(n,N,ytrans,stress_amp,stress_rms,stress_std,l,L,D,sea_bottom,...
seabed_VIVANA,static_config,c_s,Case,type,k_s);

end