%Calculate stress using curvature 

function [stress_amp, stress_rms, stress_std] = STRESSamp(ytrans,elem_length, ...
diameter, E_module, num_timesteps)

%calculate spatial derivative
y_z = diff(ytrans)/elem_length;

%calculate 2nd derivative 
y_zz = diff(y_z)/elem_length;

%strain (adding zero at both ends due to BCs) 
strain = [zeros(1,num_timesteps+1); (diameter/2)*y_zz;...
zeros(1,num_timesteps+1)];

%stress
stress = E_module*strain; 

%% find stress envelope

%only use last part of analysis
count       = ceil(0.9*num_timesteps);    
stress_red  = stress(:,[count:num_timesteps+1]);
    
for j = 1:length(ytrans(:,1))
       
        stress_amp(j) = 0.5*(max(stress_red(j,:)) - min(stress_red(j,:)));
       
end 

%% find root mean square of stress amplitudes

for j = 1:length(ytrans(:,1))
       
        stress_rms(j) = rms(stress_red(j,:));
        stress_std(j) = std(stress_red(j,:));
       
end

end