%Comparison of Case 2 and Case 3
clc
clear all
close all

%static results for Case 1
Case1_stat = load('project_thesis\static_XZ_configuration.txt');
Case1_sea = load('project_thesis\seabed_XZ_configuration.txt');


%static results for Case 2
Case2_stat = load('omae2004\static_XZ_configuration_omae04.txt');
Case2_sea  = load('omae2004\seabed_XZ_configuration_oma04.txt');

%static results for Case 3
Case3_stat = load('Case3\static_XZ_configuration_case3.txt');
Case3_sea = load('Case3\seabed_XZ_configuration_case3.txt');

%% post-processing 

%seabed and static configuration Case 2 and 3 
figure;
plot(Case2_stat(:,1)-150,Case2_stat(:,2),'--',Case2_sea(:,1)-150,...
    Case2_sea(:,2),'--',Case3_stat(:,1)-150,Case3_stat(:,2),'-',Case3_sea(:,1)-150,Case3_sea(:,2),'-');
ylim([-1010 -990]);
xlim([0 380]);
legend('Case2 - static ','Case2 - seabed','Case3 - static','Case3 - seabed');
grid on;
xlabel('z [m]');
ylabel('y [m]');
title('Seabed and static configuration');

%seabed and static configuration Case 1,2 and 3 
figure;
plot(Case1_stat(:,1)-150,Case1_stat(:,2),'LineWidth',2,'Color',[0 0 1])%Case1_sea(:,1)-150,Case1_sea(:,2),'LineWidth',4,Case2_stat(:,1)-150,Case2_stat(:,2),'--',Case2_sea(:,1)-150,Case2_sea(:,2),'--',Case3_stat(:,1)-150,Case3_stat(:,2),'-',Case3_sea(:,1)-150,Case3_sea(:,2),'-');
ylim([-1010 -990]);
xlim([0 380]);
grid on;
xlabel('z [m]');
ylabel('y [m]');
title('Seabed and static configuration');

hold on; 
plot(Case1_sea(:,1)-150,Case1_sea(:,2),'LineWidth',2,'Color',[0 0 0.5])
hold on; 
plot(Case2_stat(:,1)-150,Case2_stat(:,2),'LineWidth',1,'Color',[0 1 0])
hold on; 
plot(Case2_sea(:,1)-150,Case2_sea(:,2),'LineWidth',1,'Color',[0 0.5 0])
hold on;
plot(Case3_stat(:,1)-150,Case3_stat(:,2),'--','LineWidth',1,'Color',[1 0 0])
hold on; 
plot(Case3_sea(:,1)-150,Case3_sea(:,2),'--','LineWidth',1,'Color',[0.5 0 0])


legend('Case1 - static','Case1 - seabed','Case2 - static ','Case2 - seabed','Case3 - static','Case3 - seabed');

%% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Comparison case 6 and 7

%% Input

L = 380;        %m
n = 380;        %-
l = L/n;        %m

%% linear case

%case6
%stress amplitudes
M1 = load('case6\linear\stress_amp_zero_damping_lin.txt');
M2 = load('case6\linear\stress_amp_nonzero_damping_lin5.txt');
M3 = load('case6\linear\stress_amp_nonzero_damping_lin10.txt');
M4 = load('case6\linear\stress_amp_nonzero_damping_lin15.txt');
M5 = load('case6\linear\stress_amp_nonzero_damping_lin20.txt');
M6 = load('case6\linear\stress_amp_nonzero_damping_lin25.txt');
%case7
M17 = load('case7\linear\stress_amp_zero_damping_lin.txt');
M27 = load('case7\linear\stress_amp_nonzero_damping_lin5.txt');
M37 = load('case7\linear\stress_amp_nonzero_damping_lin10.txt');
M47 = load('case7\linear\stress_amp_nonzero_damping_lin15.txt');
M57 = load('case7\linear\stress_amp_nonzero_damping_lin20.txt');
M67 = load('case7\linear\stress_amp_nonzero_damping_lin25.txt');


figure; 
subplot(2,2,1)
plot([l:l:L-l],M1*10^-6,[l:l:L-l],M2*10^-6,[l:l:L-l],M3*10^-6,[l:l:L-l],M4*10^-6,[l:l:L-l],M5*10^-6,[l:l:L-l],M6*10^-6);
grid on;
legend('\lambda=0','\lambda=0.05','\lambda=0.10','\lambda=0.15','\lambda=0.20','\lambda=0.25');
xlabel('z [m]');
ylabel('\sigma [MPa]');
title('Stress amplitudes for k_s = 80kN/m^2');

subplot(2,2,2)
plot([l:l:L-l],M17*10^-6,[l:l:L-l],M27*10^-6,[l:l:L-l],M37*10^-6,[l:l:L-l],M47*10^-6,[l:l:L-l],M57*10^-6,[l:l:L-l],M67*10^-6);
grid on;
legend('\lambda=0','\lambda=0.05','\lambda=0.10','\lambda=0.15','\lambda=0.20','\lambda=0.25');
xlabel('z [m]');
ylabel('\sigma [MPa]');
title('Stress amplitudes for k_s = 10.2kN/m^2');

%max response
%case6
M11 = abs(load('case6\linear\response_amp_zero_damping_lin.txt'));
M21 = abs(load('case6\linear\response_amp_nonzero_damping_lin5.txt'));
M31 = abs(load('case6\linear\response_amp_nonzero_damping_lin10.txt'));
M41 = abs(load('case6\linear\response_amp_nonzero_damping_lin15.txt'));
M51 = abs(load('case6\linear\response_amp_nonzero_damping_lin20.txt'));
M61 = abs(load('case6\linear\response_amp_nonzero_damping_lin25.txt'));
%case7
M117 = abs(load('case7\linear\response_amp_zero_damping_lin.txt'));
M217 = abs(load('case7\linear\response_amp_nonzero_damping_lin5.txt'));
M317 = abs(load('case7\linear\response_amp_nonzero_damping_lin10.txt'));
M417 = abs(load('case7\linear\response_amp_nonzero_damping_lin15.txt'));
M517 = abs(load('case7\linear\response_amp_nonzero_damping_lin20.txt'));
M617 = abs(load('case7\linear\response_amp_nonzero_damping_lin25.txt'));

subplot(2,2,3)
plot([l:l:L-l],M11,[l:l:L-l],M21,[l:l:L-l],M31,[l:l:L-l],M41,[l:l:L-l],M51,[l:l:L-l],M61);
grid on;
legend('\lambda=0','\lambda=0.05','\lambda=0.10','\lambda=0.15','\lambda=0.20','\lambda=0.25');
xlabel('z [m]');
ylabel('y [m]');
title('Response amplitudes for k_s = 80kN/m^2');

subplot(2,2,4)
plot([l:l:L-l],M117,[l:l:L-l],M217,[l:l:L-l],M317,[l:l:L-l],M417,[l:l:L-l],M517,[l:l:L-l],M617);
grid on;
legend('\lambda=0','\lambda=0.05','\lambda=0.10','\lambda=0.15','\lambda=0.20','\lambda=0.25');
xlabel('z [m]');
ylabel('y [m]');
title('Response amplitudes for k_s = 10.2kN/m^2');

%% nonlinear case

%stress amplitudes
%case 6
M7 = load('case6\nonlinear\stress_amp_nonzero_damping_nonlin10.txt');
M8 = load('case6\nonlinear\stress_amp_nonzero_damping_nonlin15.txt');
M9 = load('case6\nonlinear\stress_amp_nonzero_damping_nonlin20.txt');
M10 = load('case6\nonlinear\stress_amp_nonzero_damping_nonlin25.txt');
%case 7
M77 = load('case7\nonlinear\stress_amp_nonzero_damping_nonlin10.txt');
M87 = load('case7\nonlinear\stress_amp_nonzero_damping_nonlin15.txt');
M97 = load('case7\nonlinear\stress_amp_nonzero_damping_nonlin20.txt');
M107 = load('case7\nonlinear\stress_amp_nonzero_damping_nonlin25.txt');

figure; 
subplot(2,2,1)
plot([l:l:L-l],M7*10^-6,[l:l:L-l],M8*10^-6,[l:l:L-l],M9*10^-6,[l:l:L-l],M10*10^-6);
grid on;
legend('\lambda=0.10','\lambda=0.15','\lambda=0.20','\lambda=0.25');
xlabel('z [m]');
ylabel('\sigma [MPa]');
title('Stress amplitudes for k_s = 80kN/m^2');

subplot(2,2,2)
plot([l:l:L-l],M77*10^-6,[l:l:L-l],M87*10^-6,[l:l:L-l],M97*10^-6,[l:l:L-l],M107*10^-6);
grid on;
legend('\lambda=0.10','\lambda=0.15','\lambda=0.20','\lambda=0.25');
xlabel('z [m]');
ylabel('\sigma [MPa]');
title('Stress amplitudes for k_s = 10.2kN/m^2');

%max response
%case 6
M71 = abs(load('case6\nonlinear\response_amp_nonzero_damping_nonlin10.txt'));
M81 = abs(load('case6\nonlinear\response_amp_nonzero_damping_nonlin15.txt'));
M91 = abs(load('case6\nonlinear\response_amp_nonzero_damping_nonlin20.txt'));
M101 = abs(load('case6\nonlinear\response_amp_nonzero_damping_nonlin25.txt'));
%case 7
M717 = abs(load('case7\nonlinear\response_amp_nonzero_damping_nonlin10.txt'));
M817 = abs(load('case7\nonlinear\response_amp_nonzero_damping_nonlin15.txt'));
M917 = abs(load('case7\nonlinear\response_amp_nonzero_damping_nonlin20.txt'));
M1017 = abs(load('case7\nonlinear\response_amp_nonzero_damping_nonlin25.txt'));

subplot(2,2,3)
plot([l:l:L-l],M71,[l:l:L-l],M81,[l:l:L-l],M91,[l:l:L-l],M101);
grid on;
legend('\lambda=0.10','\lambda=0.15','\lambda=0.20','\lambda=0.25');
xlabel('z [m]');
ylabel('y [m]');
title('Response amplitudes for k_s = 80kN/m^2');

subplot(2,2,4)
plot([l:l:L-l],M717,[l:l:L-l],M817,[l:l:L-l],M917,[l:l:L-l],M1017);
grid on;
legend('\lambda=0.10','\lambda=0.15','\lambda=0.20','\lambda=0.25');
xlabel('z [m]');
ylabel('y [m]');
title('Response amplitudes for k_s = 10.2kN/m^2');

%% VIVANA 

%stress amplitudes
%case 6
M7V = load('case6\VIVANA\stress_amp_nonzero_damping_VIVANA5.txt');
M8V = load('case6\VIVANA\stress_amp_nonzero_damping_VIVANA10.txt');
M9V = load('case6\VIVANA\stress_amp_nonzero_damping_VIVANA15.txt');
M10V = load('case6\VIVANA\stress_amp_nonzero_damping_VIVANA20.txt');
M11V = load('case6\VIVANA\stress_amp_nonzero_damping_VIVANA25.txt');
%case 7
M77V = load('case7\VIVANA\stress_amp_nonzero_damping_VIVANA15.txt');
M87V = load('case7\VIVANA\stress_amp_nonzero_damping_VIVANA20.txt');
M97V = load('case7\VIVANA\stress_amp_nonzero_damping_VIVANA25.txt');

figure; 
subplot(2,2,1)
plot(M7V(:,1),M7V(:,2)*10^-3,M8V(:,1),M8V(:,2)*10^-3,M9V(:,1),M9V(:,2)*10^-3,M10V(:,1),M10V(:,2)*10^-3,M11V(:,1),M11V(:,2)*10^-3);
grid on;
legend('\lambda=0.05','\lambda=0.10','\lambda=0.15','\lambda=0.20','\lambda=0.25');
xlabel('z [m]');
ylabel('\sigma [MPa]');
title('Stress amplitudes for k_s = 80kN/m^2');

subplot(2,2,2)
plot(M77V(:,1),M77V(:,2)*10^-3,M87V(:,1),M87V(:,2)*10^-3,M97V(:,1),M97V(:,2)*10^-3);
grid on;
legend('\lambda=0.15','\lambda=0.20','\lambda=0.25');
xlabel('z [m]');
ylabel('\sigma [MPa]');
title('Stress amplitudes for k_s = 10.2kN/m^2');

%response amplitudes
%case 6
M7VR = load('case6\VIVANA\response_amp_nonzero_damping_VIVANA5.txt');
M8VR = load('case6\VIVANA\response_amp_nonzero_damping_VIVANA10.txt');
M9VR = load('case6\VIVANA\response_amp_nonzero_damping_VIVANA15.txt');
M10VR = load('case6\VIVANA\response_amp_nonzero_damping_VIVANA20.txt');
M11VR = load('case6\VIVANA\response_amp_nonzero_damping_VIVANA25.txt');
%case 7
M77VR = load('case7\VIVANA\response_amp_nonzero_damping_VIVANA15.txt');
M87VR = load('case7\VIVANA\response_amp_nonzero_damping_VIVANA20.txt');
M97VR = load('case7\VIVANA\response_amp_nonzero_damping_VIVANA25.txt');

subplot(2,2,3)
plot(M7VR(:,1),M7VR(:,2),M8VR(:,1),M8VR(:,2),M9VR(:,1),M9VR(:,2),M10VR(:,1),M10VR(:,2),M11VR(:,1),M11VR(:,2));
grid on;
legend('\lambda=0.05','\lambda=0.10','\lambda=0.15','\lambda=0.20','\lambda=0.25');
xlabel('z [m]');
ylabel('y [m]');
title('Response amplitudes for k_s = 80kN/m^2');

subplot(2,2,4)
plot(M77VR(:,1),M77VR(:,2),M87VR(:,1),M87VR(:,2),M97VR(:,1),M97VR(:,2));
grid on;
legend('\lambda=0.15','\lambda=0.20','\lambda=0.25');
xlabel('z [m]');
ylabel('y [m]');
title('Response amplitudes for k_s = 10.2kN/m^2');

%% comparison case 6/7 

%stress amplitudes
%case 6
M8C = load('case6\VIVANA\stress_amp_nonzero_damping_VIVANA15.txt');
M9C = abs(load('case6\linear\stress_amp_nonzero_damping_lin15.txt'));
M10C = load('case6\nonlinear\stress_amp_nonzero_damping_nonlin15.txt');
%case 7
M11C = load('case7\VIVANA\stress_amp_nonzero_damping_VIVANA15.txt');
M12C = abs(load('case7\linear\stress_amp_nonzero_damping_lin15.txt'));
M13C = load('case7\nonlinear\stress_amp_nonzero_damping_nonlin15.txt');
figure; 
subplot(2,2,1)
plot(M8C(:,1),M8C(:,2)*10^-3,[l:l:L-l],M9C(:,1)*10^-6,[l:l:L-l],M10C(:,1)*10^-6);
grid on;
legend('VIVANA','Ulveseter linear','Ulveseter nonlinear');
xlabel('z [m]');
ylabel('\sigma [MPa]');
title('Stress amplitudes for k_s = 80kN/m^2, \lambda = 0.15');

subplot(2,2,2)
plot(M11C(:,1),M11C(:,2)*10^-3,[l:l:L-l],M12C(:,1)*10^-6,[l:l:L-l],M13C(:,1)*10^-6);
grid on;
legend('VIVANA','Ulveseter linear','Ulveseter nonlinear');
xlabel('z [m]');
ylabel('\sigma [MPa]');
title('Stress amplitudes for k_s = 10.2kN/m^2, \lambda = 0.15');


% %response amplitudes
%case 6
M88C = load('case6\VIVANA\response_amp_nonzero_damping_VIVANA15.txt');
M99C = abs(load('case6\linear\response_amp_nonzero_damping_lin15.txt'));
M1010C = load('case6\nonlinear\response_amp_nonzero_damping_nonlin15.txt');
%case 7
M1111C = load('case7\VIVANA\response_amp_nonzero_damping_VIVANA15.txt');
M1212C = abs(load('case7\linear\response_amp_nonzero_damping_lin15.txt'));
M1313C = load('case7\nonlinear\response_amp_nonzero_damping_nonlin15.txt');
 
subplot(2,2,3)
plot(M88C(:,1),M88C(:,2),[l:l:L-l],M99C(:,1),[l:l:L-l],M1010C(:,1));
grid on;
legend('VIVANA','Ulveseter linear','Ulveseter nonlinear');
xlabel('z [m]');
ylabel('\sigma [MPa]');
title('Response amplitudes for k_s = 80kN/m^2, \lambda = 0.15');

subplot(2,2,4)
plot(M1111C(:,1),M1111C(:,2),[l:l:L-l],M1212C(:,1),[l:l:L-l],M1313C(:,1));
grid on;
legend('VIVANA','Ulveseter linear','Ulveseter nonlinear');
xlabel('z [m]');
ylabel('\sigma [MPa]');
title('Response amplitudes for k_s = 10.2kN/m^2, \lambda = 0.15');

%% seabed and statc configuration case 6 and 7

%static results for Case 6
Case6_stat = load('Case6\static_XZ_configuration_case6.txt');
Case6_sea = load('Case6\seabed_XZ_configuration_case6.txt');

%static results for Case 1
Case7_stat = load('Case7\static_XZ_configuration_case7.txt');
Case7_sea = load('Case7\seabed_XZ_configuration_case7.txt');



figure;
plot(Case6_stat(:,1)-150,Case6_stat(:,2),'--',Case6_sea(:,1)-150,...
    Case6_sea(:,2),'--',Case7_stat(:,1)-150,Case7_stat(:,2),'-');
ylim([-1010 -990]);
xlim([0 380]);
legend('Hard bottom case','seabed','soft bottom case');
grid on;
xlabel('z [m]');
ylabel('y [m]');
title('Seabed and static configuration');


