function [fp phi] = fpeak(x,t)
%INPUT:
%   x: signal
%   t: time vector assoiciated with the signal, i.e x(t(i))=x(i)
%      
%   timestep must be constant!
%
%OUTPUT:
%   res: Peak frequency (Hz) of the signal and associated phase (rad)
%
%Programmed by Mats Joergen Thorsen
%April, 2012

Fs=1/(t(2)-t(1));
xdft=fft(x);

[~,index] = max(abs(xdft(1:floor(length(x)/2+1))));
freq = 0:(Fs/length(x)):Fs/2;

fp=freq(index);
phi=angle(xdft(index));

end