function [ Fy, phi_exc] = hydroforce(dt, rho, U, D, Ay, dy, dymax, ddy, ...
ddymax, phi_exc)

%find phase of velocity
cos_phi_dy=dy./abs(dymax+eps);
sin_phi_dy=-ddy./abs(ddymax+eps);  
phi_dy=angle(complex(cos_phi_dy,sin_phi_dy)); 
    
%syncronize
theta=phi_dy-phi_exc; %phase difference
theta=angle(complex(cos(theta),sin(theta)));    %get phase between +-pi    
omega_exc=2*pi*fhat(theta).*U./D;    %instantaneous angular frequency       

%update excitation force phase
phi_exc=phi_exc+omega_exc*dt;

Cdy=0.3092+0.8929.*(Ay./D); %damping coefficient
%total cross-flow force
Fy=0.5*rho*D.*U.^2.*cv(Ay./D).*cos(phi_exc)-0.5*rho*D*Cdy.*abs(dy).*dy; 
end