%test of iteration procedure to check for convergence 

function [lhs,rhs] = iteration_convergence(Csys,Msys,Ksys,Qy1,delta_y,a2,a8,a9,ak,y0,dy0,ddy0,nn)
%% acceleration, velocity and displacement at time i+1

ddy1  = a2*delta_y - ak;
dy1   = dy0 + a8*ddy0 + a9*ddy1;
y1    = y0 + delta_y;

%left hand side of dynamic equilibrium equation 
lhs = Msys(nn*2,nn*2)*ddy1(nn*2,1) + Csys(nn*2,nn*2)*dy1(nn*2,1) + Ksys(nn*2,nn*2)*y1(nn*2,1);

%right hand side of dynamic equilibrium equation
rhs = Qy1(nn*2,1);


end