 %linear analysis 
function [y,ytrans,dy,dytrans,ddy,ddytrans,phi_exc,Qy,Qytrans,time,Ay0,Ay1,...
dymax,ddymax,N, MATLAB_f0] = linear_analysis(Ksys,Msys,Csys,k_s,c_s,sea_bottom,...
transdofs,gamma,beta,h,rho_sw,D,l,Tsim,U,static_gap)

%% adding soil stiffness to global stiffness matrix 
[Ksys] = soil_stiffness(Ksys,sea_bottom,k_s,l,transdofs);

%% adding soil damping to global damping matrix 
[Csys] = soil_damping(Csys,sea_bottom,c_s,l,transdofs);

%% eigenfrequencies when seabed is included
MATLAB_f0 = (1/(2*pi)) * sqrt(eig(Ksys,Msys));

%% inverting effective stiffness matrix:
Khat=Ksys+gamma/(beta*h)*Csys+1/(beta*h^2)*Msys; 
Khatinv=Khat\eye(size(Khat));                    

%% linear time domain integration 
[y,ytrans,dy,dytrans,ddy,ddytrans,phi_exc,Qy,Qytrans,time,Ay0,Ay1,dymax,...
ddymax,N] = linear_time_domain(Tsim,h,transdofs,Ksys,U,rho_sw,D,l,beta,gamma,...
Msys,Csys,Khatinv,static_gap);

end