%Linear Newmark-beta 
function [y1, dy1, ddy1] = linear_newmark_beta(beta,gamma,h,Msys,Csys,Khatinv,...
i,y0,dy0,ddy0,Qy1)

%solve for y, dy, ddy (Newmark-B)
a=1/(beta*h^2)*y0+1/(beta*h)*dy0+(1/(2*beta)-1)*ddy0;
b=gamma/(beta*h)*y0+(gamma/beta-1)*dy0+(gamma/(2*beta)-1)*h*ddy0;
Qhat=Qy1+Csys*b+Msys*a;
y1=Khatinv*Qhat;
dy1=gamma/(beta*h)*y1-b;                                        
ddy1=1/(beta*h^2)*y1-a;

   