%nonlinear stiffness matrix and damping matrix 
function [Ksys, Csys,k_soil,c_soil] = nonlinear_soil_test(Ksys_initial,Ksys_lin,Csys_lin,ytrans,static_config,seabed_VIVANA,time_step,num_elements,c_s,k_s,transdofs_id,elem_length)

%defining size of soil stiffness matrix and put equal to zero for each
%time-step
k_soil = zeros(size(Ksys_lin));
c_soil = zeros(size(Csys_lin));

if num_elements + 1 ~= length(seabed_VIVANA(:,1))
    
    disp('number of elements do not match VIVANA results');
    
else
    
    for count = 1:length(transdofs_id) %do not look at first and last node 
    %count = 74; 
        
        %if pipeline is above seabed we will not have stiffness and damping
        if ytrans(count,time_step) + static_config(count+1,2) - seabed_VIVANA(count+1,2) > 0 && Ksys_initial(2*count,2*count) ~= Ksys_lin(2*count,2*count) %using count+1 because both static_config and seabed_VIVANA starts at first node
                
           k_soil(2*count,2*count) = -k_s*elem_length;
           c_soil(2*count,2*count) = -c_s*elem_length;
                
        end
            
     end
        
end 

Ksys = Ksys_lin + k_soil; 
Csys = Csys_lin + c_soil; 

end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% comments to the code:
% tried to do oposite, where we instead subtract the soil parameters
% instead of adding them. No succsess yet. 