%nonlinear stiffness matrix and damping matrix 
function [Ksys, Csys,k_soil,c_soil] = nonlinear_soil_test2(Ksys_initial,Csys_initial,ytrans,static_config,seabed_VIVANA,time_step,num_elements,c_s,k_s,transdofs_id,elem_length)

%defining size of soil stiffness matrix and put equal to zero for each
%time-step
k_soil = zeros(size(Ksys_initial));
c_soil = zeros(size(Csys_initial));

if num_elements + 1 ~= length(seabed_VIVANA(:,1))
    
    disp('number of elements do not match VIVANA results');
    
else
    % only valid for Case = 1:
    for count = 1:(74 - 73)
                
        k_soil(2*count,2*count) = k_s*elem_length;
        c_soil(2*count,2*count) = c_s*elem_length;
                
    end
     
    for count = (74 + 32 + 73): length(transdofs_id)
        
        k_soil(2*count,2*count) = k_s*elem_length;
        c_soil(2*count,2*count) = c_s*elem_length;
        
    end
    
    count = [74-73:1:74+32+73];
    for i = 1:length(count)
    
        if ytrans(count(i),time_step) + static_config(count(i)+1,2) - seabed_VIVANA(count(i)+1,2) < 0 %using count+1 because both static_config and seabed_VIVANA starts at first node
                
            k_soil(2*count(i),2*count(i)) = k_s*elem_length;
            c_soil(2*count(i),2*count(i)) = c_s*elem_length;
        
        end 
        
    end 

Ksys = Ksys_initial + k_soil; 
Csys = Csys_initial + c_soil; 

end