function [seabed, static_config, free_span_length] = read_input(Case)

%load static configuration from RIFLEX-files 
if Case == 1
    static_config = load('project_thesis\static_XZ_configuration.txt');
elseif Case == 2
    static_config = load('omae2004\static_XZ_configuration_omae04.txt');
elseif Case == 3
    static_config = load('Case3\static_XZ_configuration_case3.txt');
elseif Case == 4
    static_config = load('Case4\static_XZ_configuration_case4.txt');
elseif Case == 5
    static_config = load('Case5\static_XZ_configuration_case5.txt');
elseif Case == 6
    static_config = load('Case6\static_XZ_configuration_case6.txt');
elseif Case == 7
    static_config = load('Case7\static_XZ_configuration_case7.txt');
end

%load 3D-bottom from RIFLEX
if Case == 1
    seabed = load('project_thesis\seabed_XZ_configuration.txt'); 
elseif Case == 2 
    seabed = load('omae2004\seabed_XZ_configuration_oma04.txt'); 
elseif Case == 3
    seabed = load('Case3\seabed_XZ_configuration_case3.txt'); 
elseif Case == 4
    seabed = load('Case4\seabed_XZ_configuration_case4.txt'); 
elseif Case == 5
    seabed = load('Case5\seabed_XZ_configuration_case5.txt'); 
elseif Case == 6
    seabed = load('Case6\seabed_XZ_configuration_case6.txt');
elseif Case == 7
    seabed = load('Case7\seabed_XZ_configuration_case7.txt');    
end

if static_config(1,1) == seabed(1,1) 
    
    if seabed(1,1) ~= 0 
        
        %starting both seabed and static configuration on z = 0 
        static_config(:,1)  = static_config(:,1) - static_config(1,1);
        seabed(:,1)         = seabed(:,1) - seabed(1,1);
        
    end
    
else
    
    disp('static configuration and seabed configuration do not match');
    
end
%% %finding the length of the free-span considering the static configuration
%and seabed as used in RIFLEX 

res2 = [];
for i = 1 : length(seabed(:,1))
    
    if static_config(i,2) > seabed(i,2)
        
        res = seabed(i,1);
        res2 = [res2; res];
        
    end
    
end

free_span_length = max(res2) - min(res2);

end