%function producing a square seabed 
function [sea_bottom] = seabed(elem_length,num_nodes,model_length, ...
free_span_length,D) 

%depth of seabottom relative to the pipe
Depth = - 5*D; 

%defining coordiantes of sea-bottom (end nodes not included)
sea_bottom = zeros(num_nodes-2,2);

%z-coordinates to the seabottom
sea_bottom(:,2) = [elem_length : elem_length : model_length - elem_length];

%% coordinates matching the free_span_length 

for k = 1:num_nodes - 2
    
    if sea_bottom(k,2) < 0.5 * (model_length - free_span_length) ||...
       sea_bottom(k,2) > 0.5 * (model_length + free_span_length)
        
        sea_bottom(k,1) = 0;
        
    else
        
        sea_bottom(k,1) = Depth;
        
    end
    
end

    
end