%static displacement OBS! not converging for the moment... 
function [y_s,ytrans_s] = static_solution(Ksys_initial,Csys_initial,Ksys,Csys,Msys,gamma,beta,transdofs,seabed_VIVANA,mdry,g,rho_sw,l,A_ext,k_s,c_s,L)

h_static = 0.01;
Tsim_static = 50;
N_s = (Tsim_static/h_static);

%static displacement matrices 
y_s         = zeros(size(Ksys,1),N_s);
ytrans_s    = zeros(length(transdofs),N_s);
dy_s        = zeros(size(Ksys,1),N_s);
dytrans_s   = zeros(length(transdofs),N_s); 
ddy_s       = zeros(size(Ksys,1),N_s);
ddytrans_s  = zeros(length(transdofs),N_s);
Qy_s        = zeros(size(Ksys,1),N_s);

for k = 1:N_s
     
k_soil = zeros(size(Ksys_initial));
c_soil = zeros(size(Csys_initial));
    
 for count = 1:length(transdofs) %do not look at first and last node 
     
    %if pipeline is underneath seabed we have stiffness and damping due to
    %the soil:
    if ytrans_s(count,k) - (seabed_VIVANA(count+1,2)+1000) < 0 %using count+1 because both static_config and seabed_VIVANA starts at first node
                
        k_soil(2*count,2*count) = k_s*l;
        c_soil(2*count,2*count) = c_s*l;
                
     end
            
 end
 
 Ksys = Ksys_initial + k_soil;
 Csys = Csys_initial + c_soil;
  
 %staic force due to gravity and buoyancy 
    Qy_s(transdofs,k+1) = (-mdry + (A_ext)*rho_sw)*l*g;
%% Initial conditions to use in nonlinear Newmark-beta integration
        y0      = y_s(:,k);
        dy0     = dy_s(:,k);
        ddy0    = ddy_s(:,k); 
        Qy1     = Qy_s(:,k+1);
     
        %% Nonlinear Newmark-beta time integration  
        [y1, dy1, ddy1] = nonlinear_newmark_beta(gamma,beta,h_static,Msys,Ksys,Csys,k,y0,dy0,ddy0,Qy1);
        
        % displacement, velocity and acceleration assigned to the matrices
        y_s(:,k+1)        = y1;
        dy_s(:,k+1)       = dy1;
        ddy_s(:,k+1)      = ddy1;
        
        %extract translations 
        ytrans_s(:,k+1) = y_s(transdofs,k+1);
        dytrans_s(:,k+1) = dy_s(transdofs,k+1);
        ddytrans_s(:,k+1) = ddy_s(transdofs,k+1);
        
end

%% Snapshots of response curves

dN = 50; %number of time steps between each response 

figure;
for i = ceil(0.9*N_s) : dN : (N_s+1)
    
    hold on;
    plot([l:l:L-l],ytrans_s(:,i));
    title('Snapshots of response amplitudes');
    xlabel('z (m)');
    ylabel('y (m)');
    grid on; 
    
end

figure;
for i = ceil(0.9*N_s) : dN : (N_s+1)
    
    hold on;
    plot([l:l:L-l],dytrans_s(:,i));
    title('Snapshots of velocity amplitudes');
    xlabel('z (m)');
    ylabel('y (m)');
    grid on; 
    
end

%% LAST TRY %%
%%%%%%%%%%%%%%
% h_static = 0.01;
% Tsim_static = 1000;
% N_s = (Tsim_static/h_static);
% 
% %static displacement matrices 
% y_s         = zeros(size(Ksys,1),N_s);
% ytrans_s    = zeros(length(transdofs),N_s);
% dy_s        = zeros(size(Ksys,1),N_s);
% dytrans_s   = zeros(length(transdofs),N_s); 
% ddy_s       = zeros(size(Ksys,1),N_s);
% ddytrans_s  = zeros(length(transdofs),N_s);
% Qy_s        = zeros(size(Ksys,1),N_s);
% 
% for k = 1:N_s
%  %close all; 
% 
% %virtual initital tension added to increase convergence rate 
% [Ksys_tensioned] = static_tension(Ksys_initial,l,T,k,N_s,n,n_dof);
% 
% 
% k_soil = zeros(size(Ksys_initial));
% c_soil = zeros(size(Csys_initial));
%     
%  for count = 1:length(transdofs) %do not look at first and last node 
%      
%     %if pipeline is underneath seabed we have stiffness and damping due to
%     %the soil:
%     if ytrans_s(count,k) - (seabed_VIVANA(count+1,2)+1000.7) < 0 %using count+1 because both static_config and seabed_VIVANA starts at first node
%                 
%         k_soil(2*count,2*count) = k_s*l;
%         c_soil(2*count,2*count) = c_s*l;
%                 
%      end
%             
%  end
% 
% 
%  
%  Ksys = Ksys_tensioned + k_soil;
%  Csys = Csys_initial + c_soil;
% 
% 
% %     % only valid for Case = 1:
% %     for count = 1:(74 - 73)
% %                 
% %         k_soil(2*count,2*count) = k_s*l;
% %         c_soil(2*count,2*count) = c_s*l;
% %                 
% %     end
% %      
% %     for count = (74 + 32 + 73): length(transdofs)
% %         
% %         k_soil(2*count,2*count) = k_s*l;
% %         c_soil(2*count,2*count) = c_s*l;
% %         
% %     end
% %     
% %     count = [74-73:1:74+32+73];
% %     for i = 1:length(count)
% %     
% %         if ytrans_s(count(i),k) - (seabed_VIVANA(count(i)+1,2)+1000) < 0 %using count+1 because both static_config and seabed_VIVANA starts at first node
% %                 
% %             k_soil(2*count(i),2*count(i)) = k_s*l;
% %             c_soil(2*count(i),2*count(i)) = c_s*l;
% %         
% %         end 
% %         
% %     end 
% 
% % Ksys = Ksys_initial + k_soil; 
% % Csys = Csys_initial + c_soil; 
%   
% if k < 0.5*ceil(N_s)
%  %staic force due to gravity and buoyancy 
%     Qy_s(transdofs,k+1) = (-mdry + (A_ext)*rho_sw)*l*g*(k/(0.5*ceil(N_s)));
% else
%     Qy_s(transdofs,k+1) = (-mdry + (A_ext)*rho_sw)*l*g;
% end
%    
% %% Initial conditions to use in nonlinear Newmark-beta integration
%         y0      = y_s(:,k);
%         dy0     = dy_s(:,k);
%         ddy0    = ddy_s(:,k); 
%         Qy1     = Qy_s(:,k+1);
%         
%      
%         %% Nonlinear Newmark-beta time integration  
%         [y1, dy1, ddy1] = nonlinear_newmark_beta(gamma,beta,h_static,Msys,Ksys,Csys,k,y0,dy0,ddy0,Qy1);
%         
%         % displacement, velocity and acceleration assigned to the matrices
%         y_s(:,k+1)        = y1;
%         dy_s(:,k+1)       = dy1;
%         ddy_s(:,k+1)      = ddy1;
%         
%         %extract translations 
%         ytrans_s(:,k+1) = y_s(transdofs,k+1);
%         dytrans_s(:,k+1) = dy_s(transdofs,k+1);
%         ddytrans_s(:,k+1) = ddy_s(transdofs,k+1);
%         
% %          figure;
% %          plot([l:l:L-l],ytrans_s(:,k),[l:l:L-l],seabed_VIVANA(2:180,2)+1000.7);
% %          grid on;
%        
%         
% end
% dN = 50; %number of time steps between each response 
% 
% figure;
% for i = ceil(0.9*N_s) : dN : (N_s+1)
%     
%     hold on;
%     plot([l:l:L-l],ytrans_s(:,i));
%     title('Snapshots of response amplitudes');
%     xlabel('z (m)');
%     ylabel('y (m)');
%     grid on; 
%     
% end
% 
% hold on;
% plot([l:l:L-l],seabed_VIVANA(2:180,2) + 1000.7);
% 
% figure;
% for i = ceil(0.9*N_s) : dN : (N_s+1)
%     
%     hold on;
%     plot([l:l:L-l],dytrans_s(:,i));
%     title('Snapshots of velocity amplitudes');
%     xlabel('z (m)');
%     ylabel('y (m)');
%     grid on; 
%     
% end

end
