function [Ksys_tensioned] = static_tension(Ksys_initial,l,T,k,N_s,n,n_dof)

if k > ceil(0.6*N_s) 
      
      Ksys_tensioned = Ksys_initial;
      
else

%virutal initial tension in the pipe (decreasing for increasing timestep k) 
T_virtual = 100*T*(1 - (k/(ceil(0.6*N_s))));

%virtual geometric stiffness 
Kg_virtual = T_virtual*[6/(5*l) -1/10  -6/(5*l) -1/10;
            -1/10    2*l/15 1/10    -l/30;
            -6/(5*l) 1/10   6/(5*l)  1/10;
            -1/10   -l/30   1/10     2*l/15];
  
Kg_initial = T*[6/(5*l) -1/10  -6/(5*l) -1/10;
            -1/10    2*l/15 1/10    -l/30;
            -6/(5*l) 1/10   6/(5*l)  1/10;
            -1/10   -l/30   1/10     2*l/15];
        
Kg_virtual = Kg_virtual - Kg_initial; 

Kg = zeros(n_dof);  
  
%Assemble virtual geometric stiffness matrix
for i = 1 : n         
    j = 2*i - 2;
    for x = 1 : 4
        for y = 1 : 4
            Kg(j+x,j+y) = Kg(j+x,j+y) + Kg_virtual(x,y);
        end
    end
end  

%boundary conditions
Kg(1,:) = [];
Kg(:,1) = [];
Kg(n_dof-2,:) = [];
Kg(:,n_dof-2) = [];


  Ksys_tensioned = Ksys_initial + Kg; 
  
end
  
  