%function writing to text-files that can be used in post-processing
function write = write_to_file(stress_amp,c_s,type,ytrans,N,Case,stress_rms,stress_std)


if Case == 1 %project thesis 
    
if type == 1 %linear case
    if c_s ~= 0
    
        %stress amplitude
        fid1        = fopen...
        ('Case1_try3\linear\stress_amp_nonzero_damping_lin.txt','w');
        formatspec  = '%f \n';
    
        for i = 1:length(stress_amp)
        
            fprintf(fid1,formatspec,stress_amp(i));
        
        end
    
        fclose(fid1);
        
        %response amplitude 
        FID1        = fopen...
        ('Case1_try3\linear\response_amp_nonzero_damping_lin.txt','w');
        formatspec  = '%f \n';
        
        [maxVAL indx] = max(max(abs(ytrans(:,[ceil(0.9*N):N+1]))));
        
        for i = 1:length(ytrans(:,1))
            
            fprintf(FID1,formatspec,ytrans(i,indx + ceil(0.9*N)-1));
            
        end
        
        fclose(FID1);
    
    else
    
        fid2        = fopen...
        ('Case1_try3\linear\stress_amp_zero_damping_lin.txt','w');
        formatspec  = '%f \n';
    
        for i = 1:length(stress_amp)
        
            fprintf(fid2,formatspec,stress_amp(i));
        
        end
    
        fclose(fid2);
        
        %response amplitude 
        FID2        = fopen...
        ('Case1_try3\linear\response_amp_zero_damping_lin.txt','w');
        formatspec  = '%f \n';
        
        [maxVAL indx] = max(max(abs(ytrans(:,[ceil(0.9*N):N+1]))));
        
        for i = 1:length(ytrans(:,1))
            
            fprintf(FID2,formatspec,ytrans(i,indx + ceil(0.9*N)-1));
            
        end
        
        fclose(FID2);
    
    end
    
    %% nonlinear
elseif type == 2 %nonlinear case
    if c_s ~= 0
    
        fid1        = fopen...
        ('Case1_try3\nonlinear\stress_amp_nonzero_damping_nonlin.txt','w');
        formatspec  = '%f \n';
    
        for i = 1:length(stress_amp)
        
            fprintf(fid1,formatspec,stress_amp(i));
        
        end
    
        fclose(fid1);
        
        %response amplitude 
        FID1        = fopen...
        ('Case1_try3\nonlinear\response_amp_nonzero_damping_nonlin.txt','w');
        formatspec  = '%f \n';
        
        [maxVAL indx] = max(max(abs(ytrans(:,[ceil(0.9*N):N+1]))));
        
        for i = 1:length(ytrans(:,1))
            
            fprintf(FID1,formatspec,ytrans(i,indx + ceil(0.9*N)-1));
            
        end
        
        fclose(FID1);
    
    else
    
        fid2        = fopen...
        ('Case1_try3\nonlinear\stress_amp_zero_damping_nonlin.txt','w');
        formatspec  = '%f \n';
    
        for i = 1:length(stress_amp)
        
            fprintf(fid2,formatspec,stress_amp(i));
        
        end
    
        fclose(fid2);
        
        %response amplitude 
        FID2        = fopen...
        ('Case1_try3\nonlinear\response_amp_zero_damping_nonlin.txt','w');
        formatspec  = '%f \n';
        
        [maxVAL indx] = max(max(abs(ytrans(:,[ceil(0.9*N):N+1]))));
        
        for i = 1:length(ytrans(:,1))
            
            fprintf(FID2,formatspec,ytrans(i,indx + ceil(0.9*N)-1));
            
        end
        
        fclose(FID2);
    
    end
    
end

elseif Case == 2 
    
if type == 1 %linear case
    if c_s ~= 0
    
        %stress amplitude
        fid1        = fopen...
        ('Case2_try2\linear\stress_amp_nonzero_damping_lin.txt','w');
        formatspec  = '%f \n';
    
        for i = 1:length(stress_amp)
        
            fprintf(fid1,formatspec,stress_amp(i));
        
        end
    
        fclose(fid1);
        
        %response amplitude 
        FID1        = fopen...
        ('Case2_try2\linear\response_amp_nonzero_damping_lin.txt','w');
        formatspec  = '%f \n';
        
        [maxVAL indx] = max(max(abs(ytrans(:,[ceil(0.9*N):N+1]))));
        
        for i = 1:length(ytrans(:,1))
            
            fprintf(FID1,formatspec,ytrans(i,indx + ceil(0.9*N)-1));
            
        end
        
        fclose(FID1);
    
    else
    
        fid2        = fopen...
        ('Case2_try2\linear\stress_amp_zero_damping_lin.txt','w');
        formatspec  = '%f \n';
    
        for i = 1:length(stress_amp)
        
            fprintf(fid2,formatspec,stress_amp(i));
        
        end
    
        fclose(fid2);
        
        %response amplitude 
        FID2        = fopen...
        ('Case2_try2\linear\response_amp_zero_damping_lin.txt','w');
        formatspec  = '%f \n';
        
        [maxVAL indx] = max(max(abs(ytrans(:,[ceil(0.9*N):N+1]))));
        
        for i = 1:length(ytrans(:,1))
            
            fprintf(FID2,formatspec,ytrans(i,indx + ceil(0.9*N)-1));
            
        end
        
        fclose(FID2);
    
    end
    
    %% nonlinear
elseif type == 2 %nonlinear case
    if c_s ~= 0
    
        fid1        = fopen...
        ('Case2_try2\nonlinear\stress_amp_nonzero_damping_nonlin.txt','w');
        formatspec  = '%f \n';
    
        for i = 1:length(stress_amp)
        
            fprintf(fid1,formatspec,stress_amp(i));
        
        end
    
        fclose(fid1);
        
        %response amplitude 
        FID1        = fopen...
        ('Case2_try2\nonlinear\response_amp_nonzero_damping_nonlin.txt','w');
        formatspec  = '%f \n';
        
        [maxVAL indx] = max(max(abs(ytrans(:,[ceil(0.9*N):N+1]))));
        
        for i = 1:length(ytrans(:,1))
            
            fprintf(FID1,formatspec,ytrans(i,indx + ceil(0.9*N)-1));
            
        end
        
        fclose(FID1);
    
    else
    
        fid2        = fopen...
        ('Case2_try2\nonlinear\stress_amp_zero_damping_nonlin.txt','w');
        formatspec  = '%f \n';
    
        for i = 1:length(stress_amp)
        
            fprintf(fid2,formatspec,stress_amp(i));
        
        end
    
        fclose(fid2);
        
        %response amplitude 
        FID2        = fopen...
        ('Case2_try2\nonlinear\response_amp_zero_damping_nonlin.txt','w');
        formatspec  = '%f \n';
        
        [maxVAL indx] = max(max(abs(ytrans(:,[ceil(0.9*N):N+1]))));
        
        for i = 1:length(ytrans(:,1))
            
            fprintf(FID2,formatspec,ytrans(i,indx + ceil(0.9*N)-1));
            
        end
        
        fclose(FID2);
    
    end
    
end    

elseif Case == 3 
    
if type == 1 %linear case
    if c_s ~= 0
    
        %stress amplitude
        fid1        = fopen...
        ('Case3_try2\linear\stress_amp_nonzero_damping_lin.txt','w');
        formatspec  = '%f \n';
    
        for i = 1:length(stress_amp)
        
            fprintf(fid1,formatspec,stress_amp(i));
        
        end
    
        fclose(fid1);
        
        %response amplitude 
        FID1        = fopen...
        ('Case3_try2\linear\response_amp_nonzero_damping_lin.txt','w');
        formatspec  = '%f \n';
        
        [maxVAL indx] = max(max(abs(ytrans(:,[ceil(0.9*N):N+1]))));
        
        for i = 1:length(ytrans(:,1))
            
            fprintf(FID1,formatspec,ytrans(i,indx + ceil(0.9*N)-1));
            
        end
        
        fclose(FID1);
    
    else
    
        fid2        = fopen...
        ('Case3_try2\linear\stress_amp_zero_damping_lin.txt','w');
        formatspec  = '%f \n';
    
        for i = 1:length(stress_amp)
        
            fprintf(fid2,formatspec,stress_amp(i));
        
        end
    
        fclose(fid2);
        
        %response amplitude 
        FID2        = fopen...
        ('Case3_try2\linear\response_amp_zero_damping_lin.txt','w');
        formatspec  = '%f \n';
        
        [maxVAL indx] = max(max(abs(ytrans(:,[ceil(0.9*N):N+1]))));
        
        for i = 1:length(ytrans(:,1))
            
            fprintf(FID2,formatspec,ytrans(i,indx + ceil(0.9*N)-1));
            
        end
        
        fclose(FID2);
    
    end
    
    %% nonlinear
elseif type == 2 %nonlinear case
    if c_s ~= 0
    
        fid1        = fopen...
        ('Case3_try2\nonlinear\stress_amp_nonzero_damping_nonlin.txt','w');
        formatspec  = '%f \n';
    
        for i = 1:length(stress_amp)
        
            fprintf(fid1,formatspec,stress_amp(i));
        
        end
    
        fclose(fid1);
        
        %response amplitude 
        FID1        = fopen...
        ('Case3_try2\nonlinear\response_amp_nonzero_damping_nonlin.txt','w');
        formatspec  = '%f \n';
        
        [maxVAL indx] = max(max(abs(ytrans(:,[ceil(0.9*N):N+1]))));
        
        for i = 1:length(ytrans(:,1))
            
            fprintf(FID1,formatspec,ytrans(i,indx + ceil(0.9*N)-1));
            
        end
        
        fclose(FID1);
    
    else
    
        fid2        = fopen...
        ('Case3_try2\nonlinear\stress_amp_zero_damping_nonlin.txt','w');
        formatspec  = '%f \n';
    
        for i = 1:length(stress_amp)
        
            fprintf(fid2,formatspec,stress_amp(i));
        
        end
    
        fclose(fid2);
        
        %response amplitude 
        FID2        = fopen...
        ('Case3_try2\nonlinear\response_amp_zero_damping_nonlin.txt','w');
        formatspec  = '%f \n';
        
        [maxVAL indx] = max(max(abs(ytrans(:,[ceil(0.9*N):N+1]))));
        
        for i = 1:length(ytrans(:,1))
            
            fprintf(FID2,formatspec,ytrans(i,indx + ceil(0.9*N)-1));
            
        end
        
        fclose(FID2);
    
    end
    
end    

elseif Case == 4 
    
if type == 1 %linear case
    
    
        %stress std 
        fid1        = fopen...
        ('Case4\linear\stress_std_lin.txt','w');
        formatspec  = '%f \n';
    
        for i = 1:length(stress_std)
        
            fprintf(fid1,formatspec,stress_std(i));
        
        end
    
        fclose(fid1);
        
        %stress rms 
        FID1        = fopen...
        ('Case4\linear\stress_rms_lin.txt','w');
        formatspec  = '%f \n';
        
        for i = 1:length(ytrans(:,1))
            
            fprintf(FID1,formatspec,stress_rms(i));
            
        end
        
        fclose(FID1);
    
    
    %% nonlinear
elseif type == 2 %nonlinear case
    
        %stress std 
        fid1        = fopen...
        ('Case4\nonlinear\stress_std_nonlin.txt','w');
        formatspec  = '%f \n';
    
        for i = 1:length(stress_std)
        
            fprintf(fid1,formatspec,stress_std(i));
        
        end
    
        fclose(fid1);
        
        %stress rms 
        FID1        = fopen...
        ('Case4\nonlinear\stress_rms_nonlin.txt','w');
        formatspec  = '%f \n';
        
        for i = 1:length(ytrans(:,1))
            
            fprintf(FID1,formatspec,stress_rms(i));
            
        end
        
        fclose(FID1);
        
end

elseif Case == 5 
    
if type == 1 %linear case
    if c_s ~= 0
    
        %stress amplitude
        fid1        = fopen...
        ('Case5\linear\stress_amp_nonzero_damping_lin.txt','w');
        formatspec  = '%f \n';
    
        for i = 1:length(stress_amp)
        
            fprintf(fid1,formatspec,stress_amp(i));
        
        end
    
        fclose(fid1);
        
        %response amplitude 
        FID1        = fopen...
        ('Case5\linear\response_amp_nonzero_damping_lin.txt','w');
        formatspec  = '%f \n';
        
        [maxVAL indx] = max(max(abs(ytrans(:,[ceil(0.9*N):N+1]))));
        
        for i = 1:length(ytrans(:,1))
            
            fprintf(FID1,formatspec,ytrans(i,indx + ceil(0.9*N)-1));
            
        end
        
        fclose(FID1);
    
    else
    
        fid2        = fopen...
        ('Case5\linear\stress_amp_zero_damping_lin.txt','w');
        formatspec  = '%f \n';
    
        for i = 1:length(stress_amp)
        
            fprintf(fid2,formatspec,stress_amp(i));
        
        end
    
        fclose(fid2);
        
        %response amplitude 
        FID2        = fopen...
        ('Case5\linear\response_amp_zero_damping_lin.txt','w');
        formatspec  = '%f \n';
        
        [maxVAL indx] = max(max(abs(ytrans(:,[ceil(0.9*N):N+1]))));
        
        for i = 1:length(ytrans(:,1))
            
            fprintf(FID2,formatspec,ytrans(i,indx + ceil(0.9*N)-1));
            
        end
        
        fclose(FID2);
    
    end
    
    %% nonlinear
elseif type == 2 %nonlinear case
    if c_s ~= 0
    
        fid1        = fopen...
        ('Case5\nonlinear\stress_amp_nonzero_damping_nonlin.txt','w');
        formatspec  = '%f \n';
    
        for i = 1:length(stress_amp)
        
            fprintf(fid1,formatspec,stress_amp(i));
        
        end
    
        fclose(fid1);
        
        %response amplitude 
        FID1        = fopen...
        ('Case5\nonlinear\response_amp_nonzero_damping_nonlin.txt','w');
        formatspec  = '%f \n';
        
        [maxVAL indx] = max(max(abs(ytrans(:,[ceil(0.9*N):N+1]))));
        
        for i = 1:length(ytrans(:,1))
            
            fprintf(FID1,formatspec,ytrans(i,indx + ceil(0.9*N)-1));
            
        end
        
        fclose(FID1);
    
    else
    
        fid2        = fopen...
        ('Case5\nonlinear\stress_amp_zero_damping_nonlin.txt','w');
        formatspec  = '%f \n';
    
        for i = 1:length(stress_amp)
        
            fprintf(fid2,formatspec,stress_amp(i));
        
        end
    
        fclose(fid2);
        
        %response amplitude 
        FID2        = fopen...
        ('Case5\nonlinear\response_amp_zero_damping_nonlin.txt','w');
        formatspec  = '%f \n';
        
        [maxVAL indx] = max(max(abs(ytrans(:,[ceil(0.9*N):N+1]))));
        
        for i = 1:length(ytrans(:,1))
            
            fprintf(FID2,formatspec,ytrans(i,indx + ceil(0.9*N)-1));
            
        end
        
        fclose(FID2);
    
    end
    
end   

elseif Case == 6 
    
if type == 1 %linear case
    if c_s ~= 0
    
        %stress amplitude
        fid1        = fopen...
        ('Case6\linear\stress_amp_nonzero_damping_lin.txt','w');
        formatspec  = '%f \n';
    
        for i = 1:length(stress_amp)
        
            fprintf(fid1,formatspec,stress_amp(i));
        
        end
    
        fclose(fid1);
        
        %response amplitude 
        FID1        = fopen...
        ('Case6\linear\response_amp_nonzero_damping_lin.txt','w');
        formatspec  = '%f \n';
        
        [maxVAL indx] = max(max(abs(ytrans(:,[ceil(0.9*N):N+1]))));
        
        for i = 1:length(ytrans(:,1))
            
            fprintf(FID1,formatspec,ytrans(i,indx + ceil(0.9*N)-1));
            
        end
        
        fclose(FID1);
    
    else
    
        fid2        = fopen...
        ('Case6\linear\stress_amp_zero_damping_lin.txt','w');
        formatspec  = '%f \n';
    
        for i = 1:length(stress_amp)
        
            fprintf(fid2,formatspec,stress_amp(i));
        
        end
    
        fclose(fid2);
        
        %response amplitude 
        FID2        = fopen...
        ('Case6\linear\response_amp_zero_damping_lin.txt','w');
        formatspec  = '%f \n';
        
        [maxVAL indx] = max(max(abs(ytrans(:,[ceil(0.9*N):N+1]))));
        
        for i = 1:length(ytrans(:,1))
            
            fprintf(FID2,formatspec,ytrans(i,indx + ceil(0.9*N)-1));
            
        end
        
        fclose(FID2);
    
    end
    
    %% nonlinear
elseif type == 2 %nonlinear case
    if c_s ~= 0
    
        fid1        = fopen...
        ('Case6\nonlinear\stress_amp_nonzero_damping_nonlin.txt','w');
        formatspec  = '%f \n';
    
        for i = 1:length(stress_amp)
        
            fprintf(fid1,formatspec,stress_amp(i));
        
        end
    
        fclose(fid1);
        
        %response amplitude 
        FID1        = fopen...
        ('Case6\nonlinear\response_amp_nonzero_damping_nonlin.txt','w');
        formatspec  = '%f \n';
        
        [maxVAL indx] = max(max(abs(ytrans(:,[ceil(0.9*N):N+1]))));
        
        for i = 1:length(ytrans(:,1))
            
            fprintf(FID1,formatspec,ytrans(i,indx + ceil(0.9*N)-1));
            
        end
        
        fclose(FID1);
    
    else
    
        fid2        = fopen...
        ('Case6\nonlinear\stress_amp_zero_damping_nonlin.txt','w');
        formatspec  = '%f \n';
    
        for i = 1:length(stress_amp)
        
            fprintf(fid2,formatspec,stress_amp(i));
        
        end
    
        fclose(fid2);
        
        %response amplitude 
        FID2        = fopen...
        ('Case6\nonlinear\response_amp_zero_damping_nonlin.txt','w');
        formatspec  = '%f \n';
        
        [maxVAL indx] = max(max(abs(ytrans(:,[ceil(0.9*N):N+1]))));
        
        for i = 1:length(ytrans(:,1))
            
            fprintf(FID2,formatspec,ytrans(i,indx + ceil(0.9*N)-1));
            
        end
        
        fclose(FID2);
    
    end
    
end    

elseif Case == 7 
    
if type == 1 %linear case
    if c_s ~= 0
    
        %stress amplitude
        fid1        = fopen...
        ('Case7\linear\stress_amp_nonzero_damping_lin.txt','w');
        formatspec  = '%f \n';
    
        for i = 1:length(stress_amp)
        
            fprintf(fid1,formatspec,stress_amp(i));
        
        end
    
        fclose(fid1);
        
        %response amplitude 
        FID1        = fopen...
        ('Case7\linear\response_amp_nonzero_damping_lin.txt','w');
        formatspec  = '%f \n';
        
        [maxVAL indx] = max(max(abs(ytrans(:,[ceil(0.9*N):N+1]))));
        
        for i = 1:length(ytrans(:,1))
            
            fprintf(FID1,formatspec,ytrans(i,indx + ceil(0.9*N)-1));
            
        end
        
        fclose(FID1);
    
    else
    
        fid2        = fopen...
        ('Case7\linear\stress_amp_zero_damping_lin.txt','w');
        formatspec  = '%f \n';
    
        for i = 1:length(stress_amp)
        
            fprintf(fid2,formatspec,stress_amp(i));
        
        end
    
        fclose(fid2);
        
        %response amplitude 
        FID2        = fopen...
        ('Case7\linear\response_amp_zero_damping_lin.txt','w');
        formatspec  = '%f \n';
        
        [maxVAL indx] = max(max(abs(ytrans(:,[ceil(0.9*N):N+1]))));
        
        for i = 1:length(ytrans(:,1))
            
            fprintf(FID2,formatspec,ytrans(i,indx + ceil(0.9*N)-1));
            
        end
        
        fclose(FID2);
    
    end
    
    %% nonlinear
elseif type == 2 %nonlinear case
    if c_s ~= 0
    
        fid1        = fopen...
        ('Case7\nonlinear\stress_amp_nonzero_damping_nonlin.txt','w');
        formatspec  = '%f \n';
    
        for i = 1:length(stress_amp)
        
            fprintf(fid1,formatspec,stress_amp(i));
        
        end
    
        fclose(fid1);
        
        %response amplitude 
        FID1        = fopen...
        ('Case7\nonlinear\response_amp_nonzero_damping_nonlin.txt','w');
        formatspec  = '%f \n';
        
        [maxVAL indx] = max(max(abs(ytrans(:,[ceil(0.9*N):N+1]))));
        
        for i = 1:length(ytrans(:,1))
            
            fprintf(FID1,formatspec,ytrans(i,indx + ceil(0.9*N)-1));
            
        end
        
        fclose(FID1);
    
    else
    
        fid2        = fopen...
        ('Case7\nonlinear\stress_amp_zero_damping_nonlin.txt','w');
        formatspec  = '%f \n';
    
        for i = 1:length(stress_amp)
        
            fprintf(fid2,formatspec,stress_amp(i));
        
        end
    
        fclose(fid2);
        
        %response amplitude 
        FID2        = fopen...
        ('Case7\nonlinear\response_amp_zero_damping_nonlin.txt','w');
        formatspec  = '%f \n';
        
        [maxVAL indx] = max(max(abs(ytrans(:,[ceil(0.9*N):N+1]))));
        
        for i = 1:length(ytrans(:,1))
            
            fprintf(FID2,formatspec,ytrans(i,indx + ceil(0.9*N)-1));
            
        end
        
        fclose(FID2);
    
    end
    
end    
    
end    

write = 1; 

end